Bug 143950 - [ports/net/freeradius2] patch to support "<utmpx.h>"
Summary: [ports/net/freeradius2] patch to support "<utmpx.h>"
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-15 10:20 UTC by YAMAMOTO
Modified: 2010-08-30 18:02 UTC (History)
0 users

See Also:


Attachments
file.diff (699 bytes, patch)
2010-02-15 10:20 UTC, YAMAMOTO
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description YAMAMOTO freebsd_committer 2010-02-15 10:20:01 UTC
-current is now using <utmpx.h> insted of <utmp.h>.
But, ports/net/freeradius2 is not care for FreeBSD-current.

Fix: I make a patch for -current.


Patch attached with submission follows:
How-To-Repeat: 1) change to @ports/net/freeradius2/
2) make
Comment 1 Edwin Groothuis freebsd_committer 2010-02-15 10:20:08 UTC
Maintainer of net/freeradius2,

Please note that PR ports/143950 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/143950

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-02-15 10:20:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Wesley Shields freebsd_committer 2010-03-04 19:44:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 4 dfilter service freebsd_committer 2010-03-07 01:12:20 UTC
wxs         2010-03-07 01:12:11 UTC

  FreeBSD ports repository

  Modified files:
    net/freeradius2      Makefile 
  Added files:
    net/freeradius2/files patch-src__include__sysutmp.h 
  Log:
  - Unbreak on 9.x after utmp changes.
  - Pass maintainer to Ryan Steinmetz who has been active with this port in
    the past.
  
  PR:             ports/143950
  Submitted by:   YAMAMOTO@FreeBSD.org, Shigeru <shigeru@iij.ad.jp>
  Approved by:    maintainer timeout, portmgr (linimon@)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.83      +1 -1      ports/net/freeradius2/Makefile
  1.1       +20 -0     ports/net/freeradius2/files/patch-src__include__sysutmp.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Wesley Shields freebsd_committer 2010-03-07 02:22:46 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 Philip M. Gollucci freebsd_committer 2010-08-30 17:59:07 UTC
State Changed
From-To: closed->open

distinfo added 


Comment 7 Philip M. Gollucci freebsd_committer 2010-08-30 17:59:07 UTC
Responsible Changed
From-To: wxs->lwhsu

distinfo added
Comment 8 Philip M. Gollucci freebsd_committer 2010-08-30 18:01:19 UTC
State Changed
From-To: open->closed

dyslexia strikes again
Comment 9 Philip M. Gollucci freebsd_committer 2010-08-30 18:02:20 UTC
Responsible Changed
From-To: lwhsu->wxs